# Re: configure for gtk

Didier Carlier (didier@sema.be)
Tue, 19 May 1998 10:25:42 +0200

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Christoph Doerbeck: "Re: configure for gtk"
- Previous message: Dave Carrigan: "Scanner suggestions"
- Maybe in reply to: Bob van der Poel: "configure for gtk"
- Next in thread: Christoph Doerbeck: "Re: configure for gtk"

--MimeMultipartBoundary
Content-Type: text/plain; charset=us-ascii

David.Mosberger@acm.org said:
> The new GTK-configuration setup checks for the correct
> GTK version by compiling a test program and if old libraries are
> installed, this may fail.

Not really related to the original question but ...
I tried to install sane-0.73, with gtk-1.01 on a RH 5.0/Intel system this
week-end.
Configure reported that it could not run a gtk test program, although it
linked fine.
I thus tried to compile and run it 'manually' and the run-time loader reported
that if found an undefined reference to 'g_strcasecmp'. The weird thing it
that if I link the same program statically, it links and runs fine. I double
checked that there was nowhere on the system a left over from an older gtk
installation (rpm --erase, updatedb, locate gtk and re-installed gtk).

Does this ring a bell ?

Kind regards,
Didier

--MimeMultipartBoundary--

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Christoph Doerbeck: "Re: configure for gtk"
- Previous message: Dave Carrigan: "Scanner suggestions"
- Maybe in reply to: Bob van der Poel: "configure for gtk"
- Next in thread: Christoph Doerbeck: "Re: configure for gtk"